<?php
if($_POST){
	echo '<meta http-equiv="refresh" content="0">';
}
if(isset($_GET['sil_id'])){
    $delete = $db->exec("DELETE FROM vitrin WHERE id = '{$_GET['sil_id']}' LIMIT 1");
    echo b();
}

if($_POST AND !isset($_POST['siralama'])){

    if(isset($_GET['duzenle_id'])){
        $islem = $db->prepare("UPDATE vitrin SET baslik = ? WHERE id = ?");
        $islem = $islem->execute(array($_POST['baslik'],$_GET['duzenle_id']));
    }else{
        $islem = $db->prepare("INSERT INTO vitrin SET baslik = ?, sira  = ?");
        $islem = $islem->execute(array($_POST['baslik'],0));
    }
    if($islem){
        echo b();
    }else{
        echo h();
    }
}

if(isset($_GET['duzenle_id'])){
    $duzenle = $db->query("SELECT * FROM vitrin WHERE id = '{$_GET['duzenle_id']}' LIMIT 1")->fetch(PDO::FETCH_ASSOC);
}


if($_POST AND isset($_POST['siralama'])){

	$siralama = str_replace('\"', '"', $_POST['siralama']);
	$data = json_decode($siralama);
	$readbleArray = parseJsonArray($data);
	$i = 1;
	foreach($readbleArray as $row){
		$islem = $db->prepare("UPDATE vitrin SET sira = ? WHERE id = ?");
		$islem = $islem->execute(array($i,$row['id']));
		$i++;
	}
	echo b();

}
?>
<div class="page-header">
	<div class="page-leftheader">
		<h4 class="page-title">Anasayfa Vitrin Yönetimi</h4>
	</div>
	<div class="page-rightheader ml-auto d-lg-flex d-none">
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="index.php">Anasayfa</a></li>
			<li class="breadcrumb-item active" aria-current="page">Anasayfa Vitrin Yönetimi</li>
		</ol>
	</div>
</div>
						
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						
						<?php 
							$cek = $db->query("SELECT * FROM vitrin ORDER BY sira ASC", PDO::FETCH_ASSOC);
							if($cek->rowCount()){
						?>
						<form action="" method="post">
							<div class="dd" id="nestable" style="float: left;width: 100%">
					            <ol class="dd-list">
					                
					                <?php
							            foreach ($cek as $ak) {
							              echo '<li data-id="'.$ak['id'].'" class="dd-item">
							                      <div class="dd-handle">
							                      	'.$ak['baslik'].'
							                      </div>
							                      	<a href="'.$sayfa.'/sil/'.$ak['id'].'" class="sil" style="float:right;color:red">Sil</span>
		                    						<a href="'.$sayfa.'/duzenle/'.$ak['id'].'" class="duzenle" style="float:right;color:green;margin-right:20px">Düzenle</a>
							                    </li>';
							            }
							        ?>

					                

					            </ol>
					        </div>
					        <input type="hidden" name="siralama" id="nestable-output">

							<div class="form-group row">
								<div class="col-md-12"><center><button type="submit" class="btn btn-info">Kaydet</button></center></div>
							</div>
				        </form>
				    	<?php } ?>

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						
						<form class="form-horizontal" method="post" action="">

							<div class="form-group row">
								<label class="col-md-3 form-label">Başlık</label>
								<div class="col-md-9">
									<input type="text" class="form-control" name="baslik" value="<?php echo @$duzenle['baslik']; ?>" required="">
								</div>
							</div>

							<div class="form-group row">
								<div class="col-md-12"><center><button type="submit" class="btn btn-info">Kaydet</button></center></div>
							</div>

						</form>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript" src="assets/js/jquery.nestable.js"></script>
<link rel="stylesheet" type="text/css" href="assets/css/nestable.css">
<script>
$(document).ready(function(){

    var updateOutput = function(e){
        var list   = e.length ? e : $(e.target),
            output = list.data('output');
        if (window.JSON) {
            output.val(window.JSON.stringify(list.nestable('serialize')));
        } else {
            output.val('JSON browser support required for this demo.');
        }
    };

    $('#nestable').nestable({
        group: 1
    }).on('change', updateOutput);

    updateOutput($('#nestable').data('output', $('#nestable-output')));

});
</script>